- Qt 6.9
- Qt Graphs
- C++ Classes
- QtGraphs
- QLogValue3DAxisFormatter
- Qt Graphs | Commercial or GPLv3

# QLogValue3DAxisFormatter Class

The QLogValue3DAxisFormatter class provides formatting rules for a logarithmic value axis. More...

Header: | `#include <QLogValue3DAxisFormatter>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Graphs)` `target_link_libraries(mytarget PRIVATE Qt6::Graphs)`
qmake: | `QT += graphs`
In QML: | LogValue3DAxisFormatter
Inherits: | QValue3DAxisFormatter

- List of all members, including inherited members
- QLogValue3DAxisFormatter is part of Qt Graphs C++ Classes for 3D.

## Properties

- autoSubGrid : bool
- base : qreal
- edgeLabelsVisible : bool

## Public Functions

| QLogValue3DAxisFormatter(QObject *parent = nullptr)
virtual | ~QLogValue3DAxisFormatter() override
bool | autoSubGrid() const
qreal | base() const
bool | edgeLabelsVisible() const
void | setAutoSubGrid(bool enabled)
void | setBase(qreal base)
void | setEdgeLabelsVisible(bool enabled)

## Signals

void | autoSubGridChanged(bool enabled)
void | baseChanged(qreal base)
void | edgeLabelsVisibleChanged(bool enabled)

## Detailed Description

When a formatter is attached to a value axis, the axis range cannot include negative values or the zero.

See also QValue3DAxisFormatter.

## Property Documentation

### autoSubGrid : bool

This property holds whether sub-grid positions are generated automatically.

If this property value is set to `true`, the parent axis sub-segment count is ignored when calculating sub-grid line positions. The sub-grid positions are generated automatically according to the base property value. The number of sub-grid lines is set to the base value minus one, rounded down. This property is ignored when the base value is zero. Defaults to `true`.

Access functions:

bool | autoSubGrid() const
void | setAutoSubGrid(bool enabled)

Notifier signal:

void | autoSubGridChanged(bool enabled)

See also base and QValue3DAxis::subSegmentCount.

### base : qreal

This property holds the base of the logarithm used to map axis values.

If the base is non-zero, the parent axis segment count will be ignored when the grid line and label positions are calculated. If you want the range to be divided into equal segments like a normal value axis, set this property value to zero.

The base has to be zero or a positive value and it cannot be equal to one. Defaults to ten.

Access functions:

qreal | base() const
void | setBase(qreal base)

Notifier signal:

void | baseChanged(qreal base)

See also QValue3DAxis::segmentCount.

### edgeLabelsVisible : bool

This property holds whether the first and last label on the axis are visible.

When the base property value is non-zero, the whole axis range is often not equally divided into segments. The first and last segments are often smaller than the other segments. In extreme cases, this can lead to overlapping labels on the first and last two grid lines. By setting this property to `false`, you can suppress showing the minimum and maximum labels for the axis in cases where the segments do not exactly fit the axis. Defaults to `true`.

Access functions:

bool | edgeLabelsVisible() const
void | setEdgeLabelsVisible(bool enabled)

Notifier signal:

void | edgeLabelsVisibleChanged(bool enabled)

See also base and QAbstract3DAxis::labels.

## Member Function Documentation

### `[explicit]` QLogValue3DAxisFormatter::QLogValue3DAxisFormatter(QObject *parent = nullptr)

Constructs a new logarithmic value 3D axis formatter with the optional parent parent.

### `[override virtual noexcept]` QLogValue3DAxisFormatter::~QLogValue3DAxisFormatter()

Deletes the logarithmic value 3D axis formatter.